summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPeter Korsgaard <jacmet@sunsite.dk>2010-09-16 13:14:35 (GMT)
committer Peter Korsgaard <jacmet@sunsite.dk>2010-09-16 13:14:35 (GMT)
commit78e7c0b642a0decf6dad37026b3f70bb480f645b (patch)
tree7b14ef6d4ba93bf88a23ca68d5f6a3f577a29889
parente7895986de4ec8819dbb7da4b939d8daec6606a2 (diff)
downloadbuildroot-78e7c0b642a0decf6dad37026b3f70bb480f645b.tar.gz
buildroot-78e7c0b642a0decf6dad37026b3f70bb480f645b.tar.bz2
dmraid: fix init script
Init scripts are only run if they are prefixed with S??, and dmraid gets installed into /usr/sbin, not /sbin. Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
-rw-r--r--package/dmraid/dmraid.init6
-rw-r--r--package/dmraid/dmraid.mk4
2 files changed, 5 insertions, 5 deletions
diff --git a/package/dmraid/dmraid.init b/package/dmraid/dmraid.init
index 970d47d..fd2ad9e 100644
--- a/package/dmraid/dmraid.init
+++ b/package/dmraid/dmraid.init
@@ -2,7 +2,7 @@
set -e
-[ -x /sbin/dmraid ] || exit 0
+[ -x /usr/sbin/dmraid ] || exit 0
# try to load module in case that hasn't been done yet
modprobe dm-mod >/dev/null 2>&1
@@ -10,12 +10,12 @@ modprobe dm-mod >/dev/null 2>&1
case "$1" in
start|"")
echo "Setting up DMRAID devices..."
- /sbin/dmraid --activate yes --ignorelocking --verbose
+ /usr/sbin/dmraid --activate yes --ignorelocking --verbose
;;
stop)
echo "Shutting down DMRAID devices... "
- /sbin/dmraid --activate no --ignorelocking --verbose
+ /usr/sbin/dmraid --activate no --ignorelocking --verbose
;;
restart|force-reload)
diff --git a/package/dmraid/dmraid.mk b/package/dmraid/dmraid.mk
index ccd6a36..f3e58c1 100644
--- a/package/dmraid/dmraid.mk
+++ b/package/dmraid/dmraid.mk
@@ -14,11 +14,11 @@ DMRAID_INSTALL_STAGING:=yes
define DMRAID_INSTALL_TARGET_CMDS
$(INSTALL) -m 0755 $(@D)/$(DMRAID_SUBDIR)/tools/dmraid $(TARGET_DIR)/usr/sbin
- $(INSTALL) -m 0755 package/dmraid/dmraid.init $(TARGET_DIR)/etc/init.d/dmraid
+ $(INSTALL) -m 0755 package/dmraid/dmraid.init $(TARGET_DIR)/etc/init.d/S20dmraid
endef
define DMRAID_UNINSTALL_TARGET_CMDS
- rm -f $(TARGET_DIR)/usr/sbin/dmraid $(TARGET_DIR)/etc/init.d/dmraid
+ rm -f $(TARGET_DIR)/usr/sbin/dmraid $(TARGET_DIR)/etc/init.d/S20dmraid
endef
$(eval $(call AUTOTARGETS,package,dmraid))